Subject: Re: [PATCH] t/t3700: convert two uses of negation operator '!' to use test_must_fail

From: Jared Hance <[email-masked]>
Date: Tue, 20 Jul 2010 12:38:22 -0400

On Tue, Jul 20, 2010 at 11:32:33AM -0500, Brandon Casey wrote:
> I think you have misunderstood the explanation of test_must_fail.  The
> paragraph you quoted actually recommends using test_must_fail instead
> of "! <git-command>".
> 
> It says:
> 
>    Use this instead of "! <git-command>" to fail when git commands
>    segfault.
> 
> Or with a slight rewording:
> 
>    Use test_must_fail instead of "! <git-command>" since test_must_fail
>    will fail when <git-command> segfaults.

I think the wording of description of test_must_fail is slightly
ambiguous. I read it to mean that:

    Use test_must_fail only when you are testing to see if git will
    segfault.

Rather than:
    
    Use test_must_fail to be safe from git segfaults.

Perhaps the description should be updated to be a bit more clear?